Bug 112087 - NTFS support, can't compile it (error starts with ACPI)
NTFS support, can't compile it (error starts with ACPI)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-14 07:12 EST by Fredrik Klasson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-15 12:49:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fredrik Klasson 2003-12-14 07:12:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5a)
Gecko/20030728 Mozilla Firebird/0.6.1

Description of problem:
I've been trying to compile ntfs read support as a module for version
linux-2.4.22-1.2115.nptl and linux-2.4.22-1.2129.nptl, both fail, but
it's not when compiling the ntfs support.
I'd like to see the ntfs file system (read-only support) support
included in future releases (as I've got big problems compiling it).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
What I've done (talking about my attempt with 2.4.22.2129.nptl) is to
downlaod it (the source rpm,
kernel-source-2.4.22-1.2129.nptl.i386.rpm) from the fedora site,
install it.
Then I entered the dir /usr/src/linux-2.4.22-1.2129.nptl
ran (as su'd root):
make oldconfig
make xconfig
# (added ntfs as module)
make dep
make modules

Actual Results:  And then after some chewing, I get this error:
gcc32 -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -o
scripts/split-include scripts/split-include.c
scripts/split-include include/linux/autoconf.h include/config
make -r -f tmp_include_depends all
make[1]: Entering directory `/usr/src/linux-2.4.22-1.2129.nptl'
make[1]: Leaving directory `/usr/src/linux-2.4.22-1.2129.nptl'
make -C  kernel CFLAGS="-D__KERNEL__
-I/usr/src/linux-2.4.22-1.2129.nptl/include -Wall -Wstrict-prototypes
-Wno-trigraphs -O2 -fno-strict-aliasing -fno-common
-fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686
-DMODULE -DMODVERSIONS -include
/usr/src/linux-2.4.22-1.2129.nptl/include/linux/modversions.h"
MAKING_MODULES=1 modules
make[1]: Entering directory `/usr/src/linux-2.4.22-1.2129.nptl/kernel'
make[1]: Nothing to be done for `modules'.
make[1]: Leaving directory `/usr/src/linux-2.4.22-1.2129.nptl/kernel'
make -C  drivers CFLAGS="-D__KERNEL__
-I/usr/src/linux-2.4.22-1.2129.nptl/include -Wall -Wstrict-prototypes
-Wno-trigraphs -O2 -fno-strict-aliasing -fno-common
-fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686
-DMODULE -DMODVERSIONS -include
/usr/src/linux-2.4.22-1.2129.nptl/include/linux/modversions.h"
MAKING_MODULES=1 modules
make[1]: Entering directory `/usr/src/linux-2.4.22-1.2129.nptl/drivers'
make -C acpi modules
make[2]: Entering directory
`/usr/src/linux-2.4.22-1.2129.nptl/drivers/acpi'
gcc32 -D__KERNEL__ -I/usr/src/linux-2.4.22-1.2129.nptl/include -Wall
-Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing
-fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2
-march=i686 -DMODULE -DMODVERSIONS -include
/usr/src/linux-2.4.22-1.2129.nptl/include/linux/modversions.h -Os 
-nostdinc -iwithprefix include -DKBUILD_BASENAME=ac  -c -o ac.o ac.c
I fil includerad fr�n ac.c:26:
/usr/src/linux-2.4.22-1.2129.nptl/include/linux/kernel.h:60: invalid
suffix on integer constant
/usr/src/linux-2.4.22-1.2129.nptl/include/linux/kernel.h:60: syntaxfel
f�re numerisk konstant
/usr/src/linux-2.4.22-1.2129.nptl/include/linux/kernel.h:60: warning:
funktionsdeklaration �r inte en prototyp
--- SNIP (toons of errors) ---
I fil includerad fr�n
/usr/src/linux-2.4.22-1.2129.nptl/include/linux/fs.h:19,
                 fr�n
/usr/src/linux-2.4.22-1.2129.nptl/include/linux/capability.h:17,
                 fr�n
/usr/src/linux-2.4.22-1.2129.nptl/include/linux/binfmts.h:4,
                 fr�n
/usr/src/linux-2.4.22-1.2129.nptl/include/linux/sched.h:10,
                 fr�n
/usr/src/linux-2.4.22-1.2129.nptl/include/asm/uaccess.h:8,
                 fr�n
/usr/src/linux-2.4.22-1.2129.nptl/include/linux/compatmac.h:137,
                 fr�n ac.c:30:
/usr/src/linux-2.4.22-1.2129.nptl/include/linux/dcache.h: I funktion
`dget':
/usr/src/linux-2.4.22-1.2129.nptl/include/linux/dcache.h:252: warning:
implicit deklaration av funktion "__out_of_line_bug_R8b0fd3c5"
ac.c: I funktion `acpi_ac_read_state':
ac.c:117: warning: implicit deklaration av funktion "sprintf_R1d26aa98"
ac.c: I funktion `acpi_ac_add':
ac.c:268: warning: implicit deklaration av funktion "printk_R1b7d4074"
make[2]: *** [ac.o] Error 1
make[2]: Leaving directory
`/usr/src/linux-2.4.22-1.2129.nptl/drivers/acpi'
make[1]: *** [_modsubdir_acpi] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.22-1.2129.nptl/drivers'
make: *** [_mod_drivers] Error 2


Expected Results:  Compilation without errors.

Additional info:

I had a simmilar problem with my old RedHat 8 install (couldn't
compile the kernel from the included source, but I could compile the
2.4.22 that I downloaded form www.kernel.org).
Comment 1 Arjan van de Ven 2003-12-14 07:15:05 EST
you need to start with make mrproper for this...

Also the ntfs website has prebuild binaries for lots of distro kernels..

Note You need to log in before you can comment on or make changes to this bug.